return {
	"mrcjkb/rustaceanvim",
	version = "^6", -- Recommended
	lazy = false, -- This plugin is already lazy

  keys = {
    { "<leader>rrr", ":RustRun<CR>", desc = "Rust run" },
    {"<leader>rd", ":RustLsp debug<CR>", desc = "Debug rust program" },
    {"<leader>rh", ":RustLsp hover actions<CR>", desc = "rust hover actions" },
    {"<leader>re", ":RustLsp explainError<CR>", desc = "explain rust error" },
    {"<leader>rs", ":RustLsp openDocs<CR>",desc = "open rust docs for symbol under cursor" },
    {"<leader>rrn", ":RustLsp ssr ", desc = "rust rename" }
  },
	-- opts = {
	-- 	function()
	-- 		vim.keymap.set("n", "<leader>rrr", ":RustRun<CR>", { desc = "Run rust program" })
	-- 		vim.keymap.set("n", "<leader>rd", ":RustLsp debug<CR>", { desc = "Debug rust program" })
	-- 		vim.keymap.set("n", "<leader>rh", ":RustLsp hover actions<CR>", { desc = "rust hover actions" })
	-- 		vim.keymap.set("n", "<leader>re", ":RustLsp explainError<CR>", { desc = "explain rust error" })
	-- 		vim.keymap.set(
	-- 			"n",
	-- 			"<leader>rs",
	-- 			":RustLsp openDocs<CR>",
	-- 			{ desc = "open rust docs for symbol under cursor" }
	-- 		)
	-- 		vim.keymap.set("n", "<leader>rrn", ":RustLsp ssr ", { desc = "rust rename" })
	-- 	end,
	-- },
}
